> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/zh/exoclick-gong-gong-api/api-manual-rate-limiting.md).

# 限流

## 总体请求限制

该 API 的速率限制为每 60 秒 150 个请求。所有请求都会计入总数。API 处理的每个请求都会在 HTTP 头中返回限流信息。

{% hint style="info" %}
**注意**：限流基于用户名和 IP 地址。因此，单个用户名每 60 秒限制 150 个请求，单个 IP 地址也是如此。
{% endhint %}

## 登录请求限制

登录请求的速率限制为 **每 60 秒 10 个请求**。所有请求都会计入总数。

{% hint style="info" %}
**注意**：每次发起的统计请求所使用的 IP 和用户名都会计入这些限制。
{% endhint %}

## 统计请求限制

统计请求的速率限制为：每个 IP 地址每分钟 30 个请求，每个用户名每分钟 25 个请求。

{% hint style="info" %}
**注意**：每次发起的统计请求所使用的 IP 和用户名都会计入这些限制。
{% endhint %}

例如，如果你在一台电脑上使用你的用户名登录并发出 25 个统计请求，那么你接下来的请求将会失败。不过，在达到 IP 地址限制之前，你可以更换为另一个用户名并再发出 5 个统计请求。

## 示例

### 限流 - 示例 1

```bash
$ curl -i https://api.example.com/v2/statistics/a/date
```

```json
{
  "HTTP/1.1": "200 OK",
  "Date": "Fri, 24 Oct 2014 14:57:32 GMT",
  "Content-Type": "application/json",
  "Transfer-Encoding": "chunked",
  "X-Rate-Limit-Limit": 25,
  "X-Rate-Limit-Remaining": 44,
  "X-Rate-Limit-Reset": 27
}
```

当超过速率限制时， *429 Too Many Requests* HTTP 错误将会在后续请求中抛出，直到速率限制重置为止。与普通请求一样，限流信息将可在 HTTP 头中获取。

### 限流 - 示例 2（已超出限制）

```bash
$ curl -i https://api.example.com/v2/statistics/a/date
```

```json
{
  "HTTP/1.1": "429 Too Many Requests",
  "Date": "Fri, 24 Oct 2014 15:04:35 GMT",
  "Content-Type": "application/json",
  "Transfer-Encoding": "chunked",
  "X-Rate-Limit-Limit": 25,
  "X-Rate-Limit-Remaining": 0,
  "X-Rate-Limit-Reset": 12
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/api/zh/exoclick-gong-gong-api/api-manual-rate-limiting.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
